package com.zhentao.service;

import com.zhentao.common.PageResult;
import com.zhentao.entity.DynamicComments;

public interface CommentService {
    void addComment(Integer userId, Integer dynamicId, String content, String[] imageUrls, Integer parentCommentId);

    PageResult<DynamicComments> listComments(Integer dynamicId, Integer pageNum, Integer pageSize);

    void likeComment(Integer userId, Integer commentId);

    void unlikeComment(Integer userId, Integer commentId);
}


